installing the globespan virata usb wan modem

Help
pannet1
2004-10-31
2013-04-03
  • pannet1
    pannet1
    2004-10-31

    dear,

    i am using the fedora core 2. linux version 2.6.5-1.358. the patch failes and says could not recognise the count 1.

    can you please guide me on how to solve this problem?

    thanks.

     
    • FlashCode
      FlashCode
      2004-10-31

      Maybe this kernel was already patched by Redhat... if so you can try the driver.
      Another solution is to install newer kernel, I suggest you 2.6.9 (2.6.7 & 2.6.8 are unstable with driver). Kernels >= 2.6.7 do not need any patch.

       
    • pannet1
      pannet1
      2004-10-31

      dear,

      thanks for your fast reply.

      i am using the free version of federo core DVD supplIed by lates wrox title "Beginning Red Hat Linux Fedora 2".

      well i tried the rpm. the output says it cannot find wish (directory or file, i dont remember now)

      the only thing i have not tried is installing the driver, which i will do now and let you know the outcome.

      if this fails, i can download the kernel from www.kernel.org or one of its mirror. thanks to the dual boot.

      i hope it works because the kernel source provided by the installation dvd complaints of lot of missing headers.

      regards

       
    • pannet1
      pannet1
      2004-11-01

      dear,

      i tried the driver after uncompressing the .gz file. the /.configure was successful with few complaints. however, when i tried the make install, again with few successful run, several missing header files are reported and missing "wish".

      kindly help. thanks

       
      • FlashCode
        FlashCode
        2004-11-01

        I need output to help you. wish is Tk interface for Tcl, not needed, you can use eciconftxt.sh to setup driver instead of eciconf.sh (after compilation).
        You are under Fedora Core, why don't you install the .rpm version ? It is designed for your distro, and does not need compilation!

         
    • pannet1
      pannet1
      2004-11-01

      dear,

      i will generate the output and revert back to you.
      i will try the eciconftxt.sh to setup driver and let you know the outcome.

      as mentioned earlier, i have already tried the rpm version, but i have a similar complaint with respect to wish.

       
      • FlashCode
        FlashCode
        2004-11-01

        To install RPM, try this command:
        rpm -i --nodeps eciadsl-usermode-0.9-2.i386.rpm

         
    • pannet1
      pannet1
      2004-11-01

      dear flashcode, i would love to call by your real name, but :-(

      i ran the rpm as unprevileged user but i got the ouput something like " transaction not allowed "

      i then changed into su and ran the rpm and wrote the output for you, which i have pasted below

      quote
      -----
      warning: you're running this script as root
      root is only required to make install and make cfg

      settings:
      runtime prefix path = /usr/local (default)
      system conf files prefix path = / (default)
      driver conf files prefix path = / (default)
      driver doc files prefix path = /usr/local (default)
      binaries directory = /bin (default)
      system conf files directory = /etc (default)
      driver conf files directory = /etc/eciadsl (default)
      driver doc files directory = /doc/eciadsl (default)
      kernel sources path = /usr/src/linux (default)

      starting configuration for ECIADSL-0.9 in /usr/src/FlashTx..

      checking make location... /usr/bin/make
      checking make version... 3.80
      checking gcc location... /usr/bin/gcc
      checking gcc version... 3.3.3
      checking pppd location... /usr/sbin/pppd
      checking pppd version... 2.4.2
      checking wish location... not found
      checking platform/OS type ... failed

      entering ./
      generating Makefile.config... OK
      generating config.h... unchanged
      leaving ./

      configure script has completed successfully

      unquote
      --------
      then i tried to make as mentioned in the INSTALL but again i got a long list of missing header files or a sort of ....

      but when i tried to write the output for you i just got online. hope the same given below is of some use to you.

      quote
      ------
      cc -ansi -pedantic -Wall -W   -c -o eci-load1.o eci-load1.c

      please help me :-(

      pannet1

       
      • FlashCode
        FlashCode
        2004-11-01

        Try only the RPM install, which needs less dependances as sources package.
        To install, you need root privileges, just issue this command:
        su -
        (followed by your root password)
        Then issue the command to install RPM package.

         
    • pannet1
      pannet1
      2004-11-02

      dear flashcode,

      as you could see the output was generated after i did the install with the rpm and after i logged in as su.

      interstingly the lsmod generated the following

      quote
      -------
      Module                  Size  Used by
      n_hdlc                  6916  0
      snd_mixer_oss          13824  2
      snd_via82xx            19104  4
      snd_pcm                68872  1 snd_via82xx
      snd_timer              17156  1 snd_pcm
      snd_ac97_codec         50436  1 snd_via82xx
      snd_page_alloc          7940  2 snd_via82xx,snd_pcm
      gameport                3328  1 snd_via82xx
      snd_mpu401_uart         4864  1 snd_via82xx
      snd_rawmidi            17184  1 snd_mpu401_uart
      snd_seq_device          6152  1 snd_rawmidi
      snd                    38372  12 snd_mixer_oss,snd_via82xx,snd_pcm,snd_timer,snd_ac97_codec,snd_mpu401_uart,snd_rawmidi,snd_seq_device
      soundcore               6112  3 snd
      parport_pc             19392  1
      lp                      8236  0
      parport                29640  2 parport_pc,lp
      autofs4                10624  0
      sunrpc                101064  1
      ipt_REJECT              4736  1
      ipt_state               1536  7
      ip_conntrack           24968  1 ipt_state
      iptable_filter          2048  1
      ip_tables              13440  3 ipt_REJECT,ipt_state,iptable_filter
      via_rhine              15624  0
      mii                     3584  1 via_rhine
      floppy                 47440  0
      sg                     27552  0
      scsi_mod               91344  1 sg
      nls_utf8                1536  1
      nls_cp437               5376  1
      vfat                   10496  1
      fat                    33472  1 vfat
      dm_mod                 33184  0
      uhci_hcd               23708  0
      ehci_hcd               21896  0
      button                  4504  0
      battery                 6924  0
      asus_acpi               8472  0
      ac                      3340  0
      ipv6                  184288  8
      ext3                  102376  1
      jbd                    40216  1 ext3

      unquote
      -------
      even better the lsusb generated the following

      quote
      -------
      Bus 004 Device 001: ID 0000:0000 
      Bus 003 Device 001: ID 0000:0000 
      Bus 002 Device 004: ID 0f70:0001 
      Bus 002 Device 002: ID 046d:0920 Logitech, Inc.
      Bus 002 Device 001: ID 0000:0000 
      Bus 001 Device 001: ID 0000:0000 

      unquote
      -------
      my modem is device is line 3 in the above, i guess

      the doctor says everything is ok except that i need usb driver.

      i am confused.

      please help

      thanks
      pannet1

       
      • FlashCode
        FlashCode
        2004-11-02

        EciAdsl v0.9 can't work when ehci-hcd is loaded (0.10 fixes that, but not yet released, soon!).
        So unplug all usb devices, unload ehci-hcd (modprobe -r ehci-hcd) and plug the modem, then launch startmodem.
        But there's a problem, never heard about VID = 0F70
        Please join us on IRC, support is easier than on SF forum ;)
        Server: irc.freenode.net, channel: #eci

         
    • pannet1
      pannet1
      2004-11-03

      dear flashcode,

      i will do exactly as you told me and advise you the outcome.

      may be the problem is caused because i ran the other script and answered the dozen questions which it prompted me.

      see you soon at irc #eci. thanks for all your support.

      regards
      pannet1

      ps: there should be a lot of people having this isp and the modem (provided by this leading isp) in india.